• Hi Guest! To get rid of ads on the page, please consider donating through user upgrades or other methods.

5.9.0.4 crash on launch

Status
Not open for further replies.

zeffyr

Cricket
Member
After downloading the new 5.9.0.4 version fresh, every time I try to open it, it crashes on attempting to detect multiple versions of BnS. Previously, the BnS_Buddy_1 (from the discord) and older versions correctly prompted me that it detected multiple versions and asked which version I wanted to make default. Now it simply crashes immediately with this error:

upload_2018-11-30_19-48-55.png

If I attempt to copy over my settings file from an older version, BnS Buddy does not crash, but it still shows me an error on launch every time:

upload_2018-11-30_19-50-5.png

I assume something must've changed in the function that detects the installations? What could be the reason for this and how can I fix it? Thanks.
 

zeffyr

Cricket
Member
Tried clearing your settings.ini and restarting buddy?
That brings me back to the first error.

Edit: Even the older versions of BnS Buddy do not crash without prompting which version to select. If I leave it blank, it will crash, but upon reopening, it will simply ask again which version I want to make default. Shouldn't 5.9.0.4 do the same, instead of crashing?
 
Last edited:

Endless

Founder
Staff member
Administrator
That brings me back to the first error.

Edit: Even the older versions of BnS Buddy do not crash without prompting which version to select. If I leave it blank, it will crash, but upon reopening, it will simply ask again which version I want to make default. Shouldn't 5.9.0.4 do the same, instead of crashing?
I found the issue, will be fixed within the next update.
--- Merged ---
Issues has been fixed for next upcoming update.
 
Status
Not open for further replies.
Top Bottom